/* ---------------------------------------------------------------------------------
   file-start: js/ie9pinned.js 
*/

(function( top ) {

	var icoBase = 'http://wh.lj.ru/iepinned';

	function updateJumpList( dict, inboxNumber ) {
		inboxNumber = inboxNumber || 0;
		window.external.msSiteModeCreateJumplist( 'LiveJournal');
		window.external.msSiteModeAddJumpListItem( dict.journal, Site.remoteJournalBase, icoBase + '/recent.ico' );
		window.external.msSiteModeAddJumpListItem( dict.friends, Site.remoteJournalBase + '/friends', icoBase + '/friends.ico' );
		window.external.msSiteModeAddJumpListItem( dict.ljtimes, Site.siteroot + '/ljtimes/', icoBase + '/ljtimes.ico' );
		window.external.msSiteModeAddJumpListItem( dict.ratings_posts, Site.siteroot + '/ratings/posts/', icoBase + '/top.ico' );
		window.external.msSiteModeAddJumpListItem( dict.random_journal, Site.siteroot + '/random.bml', icoBase + '/surprise.ico' );

		if( inboxNumber > 0 ) {
			window.external.msSiteModeAddJumpListItem( dict.inbox + '(' + inboxNumber + ')', Site.siteroot + '/inbox/', icoBase + '/inbox.ico' );
			window.external.msSiteModeSetIconOverlay( icoBase + '/inbox.ico', dict.inbox + '(' + inboxNumber + ')' );
		} else {
			window.external.msSiteModeAddJumpListItem( dict.inbox, Site.siteroot + '/inbox/', icoBase + '/inbox_empty.ico' );
			window.external.msSiteModeClearIconOverlay();
		}
		window.external.msSiteModeShowJumplist();
	}

	function fetchInbox() {
		var url = Site.siteroot + LiveJournal.getAjaxUrl( 'inbox_count' );
		$.getJSON( url, function( data ) {
			updateJumpList( data.number );
		} );
	}

	function setMeta( name, content ) {
		var meta = document.createElement( 'meta' )
		meta.name = name;
		meta.content = content;

		document.getElementsByTagName( 'head' )[0].appendChild( meta );
	}

	function injectPinnedMeta( dict ) {
		if( Site.has_remote ) {
			setMeta( "msapplication-task", "name=" + dict.update_journal + ";action-uri=" + Site.siteroot + "/update.bml;icon-uri=" + icoBase + "/post.ico" );
		}

		setMeta( "application-name", dict.app_name );
		setMeta( "msapplication-tooltip", dict.app_tooltip );
		setMeta( "msapplication-starturl", Site.siteroot );
	}

	var defaultDict = {
		app_name: 'LiveJournal',
		app_tooltip: 'Livejournal.com',
		inbox: 'Inbox',
		update_journal: 'Post an entry',
		journal: 'Journal',
		friends: 'Friends',
		ljtimes: 'LJTimes',
		ratings_posts: 'Ratings',
		random_journal: 'Surprise me!' 
    }

	top.ie9InitPinnedMode = function( dict ) {
        dict = jQuery.extend( {}, defaultDict, dict );
		try {
			injectPinnedMeta( dict );

			if(window.external.msIsSiteMode()) {
				if( Site.has_remote > 0 ) {
					//here we should pass the number of current unread notifications
                    var unread_count = parseInt( Site.inbox_unread_count, 10) || 0;
					updateJumpList( dict, unread_count );

					/*
					setInterval( function() {
						//fetchInbox();
						//ajax requests emulation
						//updateJumpList( dict, Math.floor( Math.random() * 10 ) );
					}, 3000 );
					*/
				} else {
					window.external.msSiteModeClearJumplist();
					window.external.msSiteModeClearIconOverlay();
				}
			}
			else {}
		}
		catch(e) { }
	}

    ie9InitPinnedMode();

}( window ));

;

/* file-end: js/ie9pinned.js 
----------------------------------------------------------------------------------*/
